<?php 
declare(strict_types=0);
// session_start();
foreach($_GET  as $key => $value){${$key}=trim($value);} 
foreach($_POST as $key => $value){${$key}=trim($value);} 
include_once('lib_main.php');

if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
$empr0=data_maes('empr',$cfg_empr);
$empr_enti0=data_maes('enti',$empr0['empr_ruc']);
if(empty($user_codigo)){include('user_login0.php');return;}


     
$rbu=450;

$modu=strtolower($modu);
$tabla=$modu;



if(!empty($idnum1))
{
     $sql_docu='select * from '.$tabla.'1 left join '.$tabla.'2 on idnum1=idnum2 where idnum1="'.$idnum1.'" order by iddet desc limit 1';
     $res_docu=msql_query($sql_docu,$link_data);
     $data_docu=msql_fetch_assoc($res_docu);
     foreach($data_docu as $campo => $valor){${$campo}=trim($valor);} 
}


$item='';
$cant=0;
$puni=0;
// $info='vtdeta';
// if(empty($vndd)){$vndd=$user0['user_cedula'];}
// if(empty($ptov) and $tpos==1){$ptov=$user0['user_ptov'];}
if(empty($modu)){$modu='susa';}
if(empty($ptoe)){$ptoe='001001';}
if(empty($format)){$format=1;}
// if(empty($tpos)){$tpos=1;}
// if(empty($tpre)){$tpre=2;}
// if(empty($lpre))
// {
//      $lpre='puni1';
//      if($cfg_empr=='imcp'){$lpre='puni3';}
// }

//      echo '*/*/*/'.$ptov;
// if(empty($ptov))
// if($tpos==2)
// {
//      $fecha_vtas=date('Y-m-1',strtotime('-1 month'));
//      $sql_vtas='select distinct ptov from vtas1 where docu like "FC%" and status not in("O","X") and fecha>="'.$fecha_vtas.'" order by idnum1 desc';
//      $res_vtas=msql_query($sql_vtas,$link_data);
//      if(msql_num_rows($res_vtas)>=1)
//      {$ptov=msql_result($res_vtas,0,'ptov');}
// }     

// if($format==1){$info=substr($modu,0,2).'deta';}

// $format=2;

if($format==1){$info=substr($modu,0,2).'det2';}
if($format==2){$info=substr($modu,0,2).'deta';}
if($format==3){$info=substr($modu,0,2).'blog';}


// $info='sublog';
// $info='sudeta';
// echo '*/*/*'.$format.$info;

// if(empty($info)){$info='vtblog';}
// else{$info='vtdeta';}

$info_descri='SUELDOS';

if($info=='coblog'){$info_descri='PTO.EMISION';}

// if(empty($user0['user_tipo'])){$cost='false';}

// if(!mb_stristr('sist.supe',$user0['user_tipo']))
// {
//      $sql_acce='select * from acce1 left join acce2 on idnum1=idnum2 where numero='.$user_codigo.' and docum="COST" and info=1';
//      $res_acce=msql_query($sql_acce,$link_data);
//      if(msql_num_rows($res_acce)==0){$cost='false';}
// }




if(empty($docu)){$docu='SS10';}

$docu0=data_maes('docu',$docu);
$enti0=data_maes('enti',$enti);
$item0=data_maes('item',$item);
// $ctas0=data_maes('ctas',$ctas);
// $lsub0=data_maes('lsub',$lsub);
// $ptov0=data_maes('ptov',$ptov);
$csub0=data_maes('csub',$csub);
// $lote0=data_maes('lote',$lote);
$ptoe0=data_maes('ptoe',$ptoe);
// $tpro0=data_maes('tpro',$tpro);


// $sql_imgi='select * from item0 left join imgi0 on item_codigo=imgi_item where item_status not in ("I","X") and imgi_status not in("I","X") limit 1';
// $res_imgi=msql_query($sql_imgi,$link_data);
// if(msql_num_roVENws($res_imgi)!=0){$imgi_ok=1;}

// $sql_mrca='select * from mrca0 where mrca_status not in("I","X") limit 1';
// $res_mrca=msql_query($sql_mrca,$link_data);
// if(msql_num_rows($res_mrca)!=0){$mrca_ok=1;}

// $sql_lote='select * from lote0 where lote_status not in("I","X") limit 1';
// $res_lote=msql_query($sql_lote,$link_data);
// if(msql_num_rows($res_lote)!=0){$lote_ok=1;}



$xtitulo='SUELDOS';
if($modu=='susa'){$xtitulo='SUELDOS';}

$xtitle='REG.SUELDOS';
if($tpos==1){$xtitle='PTO. EMISION';}
$xtopcenter=$xtitle;
if(!empty($docu)){$xtitle.=' /'.$docu;}
if(!empty($numero)){$xtitle.='-'.$numero;}


$fecha0=fecha0($modu);
if(empty($fecha)){$fecha=date('Y-m-d');}

$fecha_min=date('Y-m-01',strtotime('-1 month'));
$fecha_max=date('Y-m-d');

if($tpos==1)
{
     $fecha_min=date('Y-m-d');
     $fecha_max=date('Y-m-d');
}


// $dom = new DOMDocument();
//      $dom->encoding = 'utf-8';
//      $dom->xmlVersion = '1.0';
//      $dom->formatOutput = true;

// echo $dom->saveXML();


$idnum1='';
//  SELECT DB
// if($tpos==1 and !empty($ptov) and !empty($numero))
// if(!empty($docu) and !empty($ptoe) and !empty($numero) and !empty($enti))
if(!empty($enti) or $format==3)
{
     include('sele_info.php');
     
}

// echo '*/*/*'.$sql_info;


if(!empty($sql_info))
{
     $sql_info1=$sql_info;
     $sql_info1=str_replace('group by idnum1,iddet','group by idnum1',$sql_info1);
     $sql_info1=str_replace('group by idnum1,iddet','group by idnum1',$sql_info1);
     $res_info1=msql_query($sql_info1,$link_data);
     $total=msql_result($res_info1,0,'total');
     if(msql_num_rows($res_info1)!=0){$total=number_format($total,2);}
     $res_info=msql_query($sql_info,$link_data);
          
     $numero=msql_result($res_info1,0,'numero');
  
     if(!empty($numero))
     {
//           $idnum1=msql_result($res_info,0,'idnum1_hide');
//           $edit=msql_result($res_info,0,'b_o');
          
//           $info=substr($modu,0,2).'ride';
//           include('sele_info.php');
          $sql_info12='select * from susa1 left join susa2 on idnum1=idnum2 where numero="'.$numero.'" order by fecha2 desc limit 1';
          $res_info12=msql_query($sql_info12,$link_data);
          $data_head=msql_fetch_assoc($res_info12);

          foreach($data_head  as $key => $value){${$key}=trim($value);} 
     }
     
     if(!empty($numero))
     {
          $idnum1=msql_result($res_info,0,'idnum1_hide');
          $edit=msql_result($res_info,0,'b_o');
//           echo '*/*/*/'.$edit;     
          
//           $info=substr($modu,0,2).'resu';
//           include('sele_info.php');
//           $res_info1=msql_query($sql_info,$link_data);
//           $data_head=msql_fetch_assoc($res_info1);

          $data_head=data_docu($docu,$idnum1);
          
          foreach($data_head as $key => $value){${$key}=trim($value);} 
          
//           $nombre='';
//           $wsapp='';
//           $email='';
          
     }
     
     
}


if(empty($numero))
{
     $dcto=0;
     $total=0;
     $efectivo=0;
     $tarjeta=0;
     $credito=0;
     $cambio=0;

     $nombre='';
     $wsapp='';
     $email='';
}


// datalist
{

     
     
// $zid='dliva';     
// $ztabla='item';
// $zcolu='item_iva';     
// $zcolu2='item_iva';     
// if(!empty($enti))
// {$zwhere='(item_codigo in (select distinct item from susa1 left join susa2 on idnum1=idnum2 and status not in("O","X") and enti like "'.substr($enti,0,10).'%"))';}
// include('ele_datalist.php');


     

     
$zid='dlptoe';     
$ztabla='susa';
$zcolu='ptoe';     
$zcolu2='ptoe';    
if(!empty($enti))
{$zwhere='(enti like "'.substr($enti,0,10).'%")';}
// {$zwhere='(enti like "'.substr($enti,0,10).'%" and ifnull(claveacc,"")="")';}
include('ele_datalist.php');

     
$zid='dlnumero';     
$ztabla='susa';
$zcolu='numero';     
$zcolu2='numero';    
if(!empty($enti))
{$zwhere='(enti like "'.substr($enti,0,10).'%" and ptoe like "'.$ptoe.'%")';}
include('ele_datalist.php');


$zid='dlcargo';     
$zdocu='SS10';     
$zcolu='cargo';   
// $zwhere='(fecha>="2000-01-01")';     
include('ele_datalist.php');
     
    

// $ztabla='enti';
// // {$zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from susa1))';}
// include('ele_datalist.php');

$ztabla='empl';
// {$zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from susa1))';}
include('ele_datalist.php');

$ztabla='csub';
include('ele_datalist.php');

     
// $fec_vndd=date('Y-m-01',strtotime('-3 month'));
// $zid='dlvndd';     
// $ztabla='enti';
// $zwhere='(left(enti_codigo,10) in(select distinct left(vndd,10) from vtas1 where fecha>="'.$fec_vndd.'") or left(enti_codigo,10) in(select distinct left(vndd,10) from clie1  where fecha>="'.$fec_vndd.'"))';
// include('ele_datalist.php');

              
// $zlpre='pvp1';     
// $zstockv=1;     
// $zwhere='(left(item_codigo,2)!="99")';
$ztabla='item';
include('ele_datalist.php');

$ztabla='nvdd';
include('ele_datalist.php');

     
     
     
// $ztabla='lote';
// include('ele_datalist.php');
     
// $ztabla='vhcl';
// include('ele_datalist.php');
     
$ztabla='docu';
$zwhere='(docu_tabla="'.$modu.'")';
include('ele_datalist.php');

echo '<datalist id="dlpuni"></datalist>';
// echo '<datalist id="dlpvp"></datalist>';
// echo '<datalist id="dldcto"></datalist>';

}


// PANTALLA FILTROS
// echo '<div id="filtros" noprint >';
echo '<div id="filtros"  >';
{
     
// OCULTOS
echo '<div hide>';   
{
echo '<input id="format" value="'.$format.'">';

echo '<input id="modu" value="'.$modu.'">';
echo '<input id="info" value="'.$info.'">';
echo '<input id="tpos" value="'.$tpos.'">';
// echo '<input id="tpre" value="'.$tpre.'">';
echo '<input id="idnum1" value="'.$idnum1.'">';
echo '<input id="stfin" value="'.$stfin.'">';
echo '<input id="fecha" value="2010-01-01">';

}     
echo '</div>';     
     
     
$zobj=2;     
include('ele_break.php');
     
$zid='btn_nuevo'; 
$zlabel='Nuevo';
$zalign='right';
$zonclick='{fn_nuevo();}';
$zsize=1.5;     
include('ele_button.php');
     

     
$zid='btn_print'; 
$zlabel='Imprimir';
$zalign='right';
$href='?prnt=1&docu='.$docu.'&idnum='.$idnum1.'&formato=';  
if(mb_stristr('hg01',$cfg_empr))
{$href.='&destino=txt';}
$zonclick='{print_url("'.$href.'");}';
if(empty($idnum1)){$zhide=1;}     
$zsize=1.5;     
include('ele_button.php');
     

// echo '*/*/*'.$fecha;     
// $fecha="2010-01-01";     
// $zid='fecha';
// $ztype='date';
// $zlabel='Fecha';
// $zvalue=$fecha;
// $zmin=$fecha_min;     
// $zmax=$fecha_max;  
// $zhide=1;     
// include('ele_input.php');  
     

$zid='fecha2';
$ztype='date';
$zlabel='Fecha';
$zdefa=date('Y-m-d');     
$zvalue=$fecha2;
$zmin=$fecha_min;     
$zmax=$fecha_max;
include('ele_input.php');  
     

     
$zid='docu';
$zlabel='Docum.';
$zvalue=$docu;
$ztabla='docu';
$zwhere='(docu_tabla="'.$modu.'")';
$zonblur='{document.getElementById("enti").onblur();}';
$zonchange=$zonblur;
include('ele_select.php');
     
     
$zid='ptoe';
$zlabel='Pto.Emisión';
$zvalue=$ptoe; 
$zlist='dlptoe';
$zmaxlen=6; 
$zwidth=6;
$zdefa='001001';
$zonblur='{document.getElementById("enti").onblur();}';
$zonchange=$zonblur;
$zreado=1;     
$zhide=1;     
include('ele_input.php');

     
$zid='numero';
$zlabel='№';
$zvalue=$numero;
$zvalue=(int)$numero;
$zmin=0;
$zmax=999999999;     
$zclass='numeric-int';
$zondblclick='{document.getElementById("'.$zid.'").style.width="'.round(7*2/3,2).'em";}';     
$zonblur='{if(document.getElementById("'.$zid.'").getAttribute("disabled")!=""){document.getElementById("idnum1").value="";fn_consulta();}}';
$zbackcolor='grey';
$zfontcolor='white';
$zmaxlen=9;     
if(substr($docu,0,2)=='SS')     
{$zlist='dlnumero';}
$zreado=1;     
// $zhide=1;     
include('ele_input.php');

$zobj=1;     
include('ele_break.php');
     
     
$zid='enti';
$zlabel='Empleado';
$zvalue=$enti;
if(empty($zvalue)){$zvalue='9999999999999';}
$ztabla='empl';
$zonblur='';     
if($format==1)
{$zonblur.='{location.href="?scri='.basename(__FILE__,'.php').'&enti="+document.getElementById("enti").value+"&docu="+document.getElementById("docu").value+"&ptoe="+document.getElementById("ptoe").value+"&fecha2="+document.getElementById("fecha2").value+"&format="+document.getElementById("format").value;}';}
// if($format==3)
// {$zonblur.='{fn_consulta(event);}';}
$zonchange=$zonblur;
include('ele_input.php');
     

$zid='csub';
$zlabel='C.Costo';
$zvalue=$csub; 
$ztabla='csub';     
include('ele_select.php');

$zid='cargo';
$zlabel='Cargo';
$zvalue=$cargo; 
$zlist='dlcargo';
$zwidth=15;
include('ele_input.php');


     
     
     

     
     
     

     
$zid='btn_final'; 
$zlabel='Finalizar';
$zalign='right';
$zonclick='{fn_finalizar();}';
if(!empty($numero) and empty($edit)){$zhide=1;}     
if(empty($numero)){$zhide=1;}     
if($stfin==1){$zhide=1;}    
$zhide=1;     
$zsize=0.8;     
include('ele_button.php');
     
$zid='btn_consul'; 
$zlabel='Consultar';
$zalign='right';
$zonclick='{fn_consulta(event);}';
$zhide=1;     
include('ele_button.php');

echo '<span style="float:right; white-space:nowrap;">';     
// echo $msgres;
echo '</span>';     
     
{
// if(!empty($ptoe))
     
$zobj=1;     
include('ele_break.php');

     
     
     
     
// if(!empty($docu) and !empty($ptoe) and !empty($numero) and !empty($enti))
if(!empty($enti))     
{
//     $zobj=1;
//     include('ele_break.php');
     


     
     
     
     
//      {
//      $zobj=1;
//      include('ele_break.php');
          
//      $zid='concepto';
//      $zlabel='Concepto';
//      $zvalue=$concepto;
// //      $zreado=2;
// //      $zsize=0.9;
//      $zwidth=25;
//      $zrows=2;
//      include('ele_input.php');
                    
//      }
          

//      $zalign='right';
//      $zid='total';
//      $zlabel='💲 Total';
//      $zvalue=$total;
//      $zclass='numeric-dec';
//      $zwidth=7;
//      $zmax=99999.99;
//      $zsize=1.5;
//      $zreado=1;
//      include('ele_input.php');
     

     $zobj=2;
     include('ele_break.php');
     
     $zobj=4;
     $zid='sueldo';
     $zlabel='Sueldo';
     $zvalue=$sueldo;
     $zclass='numeric-dec';
//      $ztabla='item';
//      $zopen=0;
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
//      $zdefa='9999999999';
     $zmin=$rbu/2;
     $zmax=$rbu*35;
     include('ele_input.php');

     
     $zobj=4;
     $zid='poranti';
     $zlabel='%Antic.';
     $zvalue=$poranti;
     $zclass='numeric-int';
     $zmin=10;
     $zmax=90;
     include('ele_input.php');
     
     $zobj=4;
     $zid='valanti';
     $zlabel='Anticipo';
     $zvalue=$valanti;
     $zclass='numeric-dec';
     include('ele_input.php');
     
     
     
//      $zobj=4;
//      $zid='producto';
//      $zlabel='Prod/Serv';
//      $zvalue=$producto;
// //      $zwidth=15;
//      include('ele_input.php');
     
     
//      $cant=1;
//      $zobj=4;
//      $zid='cant';
//      $zlabel='Cant.';
//      $zvalue=$cant;
//      $zdefa=1;
//      $zmin=0;
//      $zmax=9999;
//      if(mb_stristr('imcp',$cfg_empr))
//      {$zmax=999999;}
// //      $zmaxlen=7;
//      $zwidth=5;
//      $zclass='numeric-dec';
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
//      include('ele_input.php');


//      if($cost=='true')
     {
//      $zobj=4;
//      $zid='puni';
//      $zlabel='P.Unit';
//      $zvalue=$puni;
// //      $zwidth=6 ;
//      $zmin=0;
//      $zmax=9999.99;
// //      $max_puni=max_puni();
//      if($max_puni>=1000){$zmax=9999.99;}
//      if($max_puni>=10000){$zmax=99999.99;}
//      $zclass='numeric-dec';
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
//      $zlist='dlpuni';
//      if($tpre==1){$zreado=1;}
//      include('ele_input.php');
     }


     
     $zobj=4;
     $zid='alimentacion';
     $zlabel='Alimentación';
     $zvalue=$alimentacion;
     $zclass='numeric-dec';
//      $zmin=$rbu/10;
     $zmax=$rbu*10;
     include('ele_input.php');
     
     $zobj=4;
     $zid='movilizacion';
     $zlabel='Movilización';
     $zvalue=$movilizacion;
     $zclass='numeric-dec';
//      $zmin=$rbu/10;
     $zmax=$rbu*10;
     include('ele_input.php');
     
     $zobj=4;
     $zid='comision';
     $zlabel='Comisión';
     $zvalue=$comision;
     $zclass='numeric-dec';
//      $zmin=$rbu/10;
     $zmax=$rbu*10;
     include('ele_input.php');
     
     $zobj=4;
     $zid='de13';
//      $zlabel='Décimo Tercero';
     $zlabel='Dmo.Tercero';
     $zdefa='A';
     $zvalue=$de13;
     $zoptions='A,Anual;M,Mensual;-,No Aplica;';
     include('ele_select.php');
     
     $zobj=4;
     $zid='de14';
     $zlabel='Dmo.Cuarto';
     $zdefa='A';
     $zvalue=$de14;
     $zoptions='A,Anual;M,Mensual;-,No Aplica;';
     include('ele_select.php');
     
     $zobj=4;
     $zid='fres';
     $zlabel='Fdo.Reserva';
     $zdefa='A';
     $zvalue=$fres;
     $zoptions='A,Anual;M,Mensual;-,No Aplica;';
     include('ele_select.php');
     
     
     
//      $zobj=4;
//      $zid='subtot';
//      $zlabel='Sub-Total';
//      $zvalue=$subtot;
//      $zclass='numeric-dec';
//      $zwidth=7;
//      $zmax=99999.99;
//      $zreado=1;
//      include('ele_input.php');

     
     
     
     
     
//      $zobj=4;
//      $zid='detalle';
//      $zlabel='Notas';
//      $zwidth=25;    
//      $zrows=2;     
//      $zvalue=$detalle;
//      // $zhide=1;     
//      // $zvalue=$data_docu[$zid];

//      include('ele_input.php');

     
$zid='btn_grabar'; 
$zlabel='Grabar';
$zalign='right';
$zonclick='{save_docu(event);}';
$zsize=1.5;
// if($stfin==1){$zhide=1;}     
include('ele_button.php');
     
     
     
}

     
     
          

     

     
// $zobj=1;     
// include('ele_break.php');

     
$zid='btn_deleall'; 
$zlabel='Borrar';
$zalign='right';
$zonclick='{fn_deledeta(event);}';
//$zsize=1.5;
$zbackcolor='darkred';
$zfontcolor='white';     
if(!empty($numero) and empty($edit)){$zhide=1;}       
$zhide=1;     
include('ele_button.php');
     

// if(mb_stristr('demo.anml',$cfg_empr))
     
// $zobj=1;     
// include('ele_break.php');

     

     
     
     

$zobj=2;     
include('ele_break.php');

}
     
// TITULO     
     
     

}     
// include('ele_break.php');

// echo '*/*/*/'.$_COOKIE['oscreen'];

// COBRO
$sty_pago='float:right;';
// if($tpos!=1)
// {$sty_pago.='display:none;';}
echo '<span noprint style="'.$sty_pago.'"  >';
// {
//      $zalign='right';
//      $zid='efectivo';
//      $zlabel='💵 Efectivo';
//      $zvalue=$efectivo;
//      $zmin=0;
//      $zmax=99999;
//      $zwidth=5;
//      $zclass='numeric-dec';
//      $zonchange='calc_subtot();';
//      $zonblur='calc_subtot();';
//      include('ele_input.php');

     
//      $zobj=1;
//      $zalign='right';
//      $zid='caja';
//      $zlabel='Caja';
//      $ztabla='caja';
//      $zvalue=$caja;
//      $zdefa=$caja;
//      include('ele_select.php');

     
//      $zobj=1;     
//      include('ele_break.php');

//      $zobj=1;
//      $zalign='right';
//      $zid='ctab';
//      $zlabel='Cta.Banc.';
//      $ztabla='ctab';
//      $zvalue=$ctab;
//      $zdefa=$ctab;
//      include('ele_select.php');
     
//      $zobj=1;     
//      include('ele_break.php');
     
     
//      $zalign='right';
//      $zid='Cheque';
//      $zlabel='✍ Cheque $';
//      $zvalue=$cheque;
//      $zmin=0;
//      $zmax=99999;
//      $zwidth=5;
//      $zclass='numeric-dec';
//      $zonchange='{calc_subtot();}';
//      $zonblur='{save_docu(event);}';
//      include('ele_input.php');
     

//      $zobj=1;
//      $zalign='right';
//      $zid='numche';
//      $zlabel='# Cheque';
//      $zvalue=$nume_vouc;
//      $zmin=0;
//      $zmax=999999999;     
//      $zclass='numeric-int';
//      $zonblur='{save_docu(event);}';
//      include('ele_input.php');

//      $zobj=1;     
//      include('ele_break.php');
     

//      $zalign='right';
//      $zid='tarjeta';
//      $zlabel='💳 Tarjeta';
//      $zvalue=$tarjeta;
//      $zmin=0;
//      $zmax=99999;
//      $zwidth=5;
//      $zclass='numeric-dec';
//      $zonchange='{calc_subtot();}';
//      $zonblur='{save_docu(event);}';
//      include('ele_input.php');
     

//      $zobj=1;
//      $zalign='right';
//      $zid='numvou';
//      $zlabel='# Voucher';
//      $zvalue=$nume_vouc;
//      $zmin=0;
//      $zmax=999999999;     
//      $zclass='numeric-int';
//      $zonblur='{save_docu(event);}';
//      include('ele_input.php');
     
//      $zobj=1;     
//      include('ele_break.php');
     
     
// //      $zobj=4;
//      $zalign='right';
//      $zid='credito';
//      $zlabel='Crédito $';
//      $zvalue=$credito;
//      $zmin=0;
//      $zmax=99999;
//      $zwidth=5;
//      $zclass='numeric-dec';
//      $zonchange='{calc_subtot();}';
// //      $zonblur='calc_subtot();';
//      $zonblur='{save_docu(event);}';
//      $zhide=1;
//      include('ele_input.php');
     
//      $zobj=1;     
//      include('ele_break.php');

//      $zalign='right';
//      $zid='cambio';
//      $zlabel='Cambio $';
// //      $zvalue=$credito;
//      $zmin=0;
//      $zmax=99999;
//      $zwidth=8;
//      $zclass='numeric-dec';
//      $zreado=1;
//      $zhide=1;
//      include('ele_input.php');


// }
echo '</span>';



// RESULTADO
$sty_resu='float:right;';
$sty_resu='margin:0 auto;';
echo '<span id="main2" style="'.$sty_resu.'"  >';
// $sql_idx=1;
// for($idx=1; $idx<=$sql_idx; $idx++)
{
     if(gettype($res_info)!='NULL')
     {
          $zreso=$res_info;
          $zinfo=$info;
          $zname=$zname;
          $zhead=0;
          $zgfsize=0.9;
//           $zblockrows=3;
          $zheightrow='2';
          $zblockidnum=1;
          if($format==3)
          {$zblockidnum=0;}
          $zhidebtns=1;
//           $zwidthtable='80%';
          include('ele_grid.php');     
          
     }
}     
echo '</span>';     


echo '</div>';


// echo '<div style="height:4em;">';     
// echo '</div>';     


// $zobj=1;
// $zid='cstock';
// $zlabel='Consulta Stock';
// $zwidth=25;         
// $zvalue='';
// $zonenter='{fn_stock();}';
// $zonblur='{fn_stock();}';
// include('ele_input.php');

echo '<div align="center" height="auto" id="divstock">';
echo '</div>';
     

echo '<div style="clear:both;">&#127380; : '.$idnum1.'</div>';

?>

<script>
function fn_stock(event)
{
     var busca,xsrc='?';
     busca=document.getElementById('cstock').value;
     document.getElementById('divstock').innerHTML='';
     if(busca.length>3)
     {
//           xsrc='?scri=info_modu3&modu=inve&info=iibode&tsaldo=69&prnt=1&prec=pvp&item='+busca;
//           document.getElementById('fr_stock').setAttribute('src',xsrc);
     
          var datapost,dato;
          datapost=new FormData();
          datapost.append('script','info_modu3');
          datapost.append('modu','inve');
          datapost.append('info','iibode');
          datapost.append('prec','pvp');
          datapost.append('prnt','1');
          datapost.append('zhidebtns','1');
          datapost.append('item',busca);
          dato=exe_ajax(datapost,'divstock','',true);
     
     }
     
}
</script>

<script>
function fn_consulta(event)
{
     var xhref='',dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';

     
//      alert(document.getElementById('enti').value);
//      if(parseInt(document.getElementById('numero').value)>0)
     {
          dataget=new_FormData('filtros','get');
          xhref=xhref+dataget;

          document.getElementById("main2").innerHTML='Espere...';
          location.href=xhref;
     }
}
</script>



<script>
function fn_nuevo(event)
{
     var enti;
     var xhref='';
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
     swal.fire({
          icon:'warning',
          title:'Nuevo Documento',
          text:'Continuar ?',
          confirmButtonText:'Nuevo',
          confirmButtonColor:color1,
          focusCancel:true,
          showCancelButton:true,
          cancelButtonColor: 'darkred',
          timer:60000
     }).then((result) => 
          {
               if(result.isConfirmed)
               {
                    document.getElementById("idnum1").value="";
                    document.getElementById("fecha").value="";
                    document.getElementById("numero").value="";
                    enti=document.getElementById("enti").value;
     //                if(enti.indexOf("9999999999")<0)
                    {document.getElementById("enti").value="";}
                    document.getElementById("ptoe").value="";
//                     document.getElementById("").value="";
//                     fn_consulta(event);
                    location.href=xhref;
               }
          })
}     
     
</script>


<script>
function fn_deledeta(event)
{
     
     anul_docu(document.getElementById('docu').value,document.getElementById('idnum1').value,'ALL');
     //fn_consulta(event);

     return;
     
}     
     
</script>




<script>
function fn_finalizar(event)
{
     swal.fire({
          icon:'warning',
          title:'Finalizar Documento',
          text:'Continuar ?',
          confirmButtonText:'Finalizar',
          confirmButtonColor:color1,
          focusCancel:true,
          showCancelButton:true,
          cancelButtonColor: 'darkred',
          timer:10000
     }).then((result) => 
          {
               if(result.isConfirmed)
               {
               document.getElementById("stfin").value="1";
               save_docu(event);
               }
          })
}
</script>



<script>
function calc_subtot(event)
{
     var cant,puni,dcto,iva,ice,irbp,pvp;
     var subtot,tdcto,tice,tiva,tirbp,subtot,total;
     var efectivo,cambio;
     
     if(document.getElementById("cant")){cant=document.getElementById("cant").value ||0;}
     if(document.getElementById("puni")){puni=document.getElementById("puni").value ||0;}
     if(document.getElementById("dcto")){dcto=document.getElementById("dcto").value ||0;}
     if(document.getElementById("iva")){iva=document.getElementById("iva").value ||0;}
     if(document.getElementById("ice")){ice=document.getElementById("ice").value ||0;}
     if(document.getElementById("irbp")){irbp=document.getElementById("irbp").value ||0;}
     
     if(document.getElementById("subtot")){subtot=document.getElementById("subtot").value ||0;}
     if(document.getElementById("total")){total=document.getElementById("total").value ||0;}
     if(document.getElementById("efectivo")){efectivo=document.getElementById("efectivo").value ||0;}
     
     subtot=puni;
     tdcto=subtot*dcto/100;
     tice=subtot*ice/100;
     subtot=subtot-tdcto+tice;
     tiva=subtot*iva/100;
     tirbp=cant*irbp;
     subtot=subtot+tiva;
     
     pvp=subtot;
     pvp=pvp.toFixed(2);
     
     subtot=subtot*cant;
     subtot=subtot.toFixed(2);
     
     if(total==0){total=subtot;}
     
     cambio=0;
//      if(efectivo>total && total>0)
     if(parseFloat(efectivo)>parseFloat(total) && parseFloat(total)>0)
     {cambio=efectivo-total;}
     
     if(document.getElementById("pvp")){document.getElementById("pvp").value=parseFloat(pvp);}
     if(document.getElementById("subtot")){document.getElementById("subtot").value=subtot;}
     
//      console.log('-+-+-');
//      console.log(efectivo>total);
//      console.log(efectivo);
//      console.log(total);
//      console.log(cambio);
     if(document.getElementById("cambio"))
     {
          document.getElementById("cambio").value=cambio.toFixed(2);
          document.getElementById('cambio').style.color='navy';
          document.getElementById('cambio').style.fontSize='1.2em';
          if(cambio>0)
          {document.getElementById('cambio').style.color='darkred';}
   }
     
}
</script>


<script>document.title="<?php echo $xtitle;?>"</script>
<script>document.getElementById('topcenter').innerHTML="<?php echo $xtopcenter;?>"</script>
<script>calc_subtot()</script>
<!-- <script>set_noback();</script> -->
<!-- <script>window.onbeforeunload = function(){return 'Are you sure you want to leave?';};</script> -->

<script>document.getElementById('fecha2').focus();</script>
<?php if($format==3){ ?>
<script>document.getElementById('enti').focus();</script>
<?php } ?>

